Deployments.ai Docs
Brains

Show a Brain

GET /v1/brains/{brainId} · SDK getBrain · CLI deployments brain show

GET
/v1/brains/{brainId}

Requires brains:read.

Authorization

tenantJwt
headerAuthorizationBearer <token>

Tenant JWT carrying organization, project, and environment claims.

Path Parameters

brainId*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Header Parameters

x-deployments-organization*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

BrainResponse

application/json
  1. response
createdAt*string
id*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
kind*string
Value in"company""member-private"
name*string
Lengthlength <= 200
organizationId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
ownerPrincipalId?string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
ownershipGeneration*integer
Range0 <= value
schemaVersion*integer
Range0 <= value
sensitivity*string
Value in"confidential""internal""public""restricted"
slug*string
Match^[a-z0-9]+(?:-[a-z0-9]+)*$
Length1 <= length <= 80
status*string
Value in"active""archived""erasing"
updatedAt*string
version*integer
Range0 <= value
curl -X GET "https://example.com/v1/brains/string" \  -H "x-deployments-organization: string"
{  "createdAt": "string",  "id": "string",  "kind": "company",  "name": "string",  "organizationId": "string",  "ownerPrincipalId": "string",  "ownershipGeneration": 0,  "schemaVersion": 0,  "sensitivity": "confidential",  "slug": "string",  "status": "active",  "updatedAt": "string",  "version": 0}